List webhook subscriptions - Karat Help Center
List webhook subscriptions
cURL
curl --request GET \
--url 'https://payouts.api.trykarat.com/events/subscription?limit=100' \
--header 'Authorization: Bearer <token>'
Python
import requests
url = "https://payouts.api.trykarat.com/events/subscription?limit=100"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://payouts.api.trykarat.com/events/subscription?limit=100', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [\
CURLOPT_URL => "https://payouts.api.trykarat.com/events/subscription?limit=100",\
CURLOPT_RETURNTRANSFER => true,\
CURLOPT_ENCODING => "",\
CURLOPT_MAXREDIRS => 10,\
CURLOPT_TIMEOUT => 30,\
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
CURLOPT_CUSTOMREQUEST => "GET",\
CURLOPT_HTTPHEADER => [\
"Authorization: Bearer <token>"\
],\
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://payouts.api.trykarat.com/events/subscription?limit=100"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Java (Unirest)
HttpResponse<String> response = Unirest.get("https://payouts.api.trykarat.com/events/subscription?limit=100")
.header("Authorization", "Bearer <token>")
.asString();
Ruby
require 'uri'
require 'net/http'
url = URI("https://payouts.api.trykarat.com/events/subscription?limit=100")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body
Response Codes
- 200: Successful request
- 401: Unauthorized
- 404: Not found
Example Response
{
"data": [\
{\
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",\
"eventName": "payout.updated",\
"callbackUrl": "<string>",\
"createdAt": "2023-11-07T05:31:56Z",\
"lastSentAt": "2023-11-07T05:31:56Z"\
}\
],\
"meta": {\
"total": 123,\
"limit": 123,\
"offset": 123\
}\
}
Error Responses
{
"error": {
"message": "Invalid api key"
}
}
{
"error": {
"message": "Payment intent not found"
}
}
Authorizations
Authorization
string
header
required
Pass your API key as a bearer token: Authorization: Bearer <API_KEY>.
Query Parameters
- limit: integer, default: 100, maximum number of results to return (max 100, default 100).
- offset: integer, default: 0, number of results to skip for pagination (default 0).